> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Livechat Integrations > Retrieves a list of integration settings. Permission required: `view-livechat-manager` ### Changelog | Version | Description | | ---------------- | ------------| |2.2.0 | Added | ## OpenAPI ````json GET /api/v1/livechat/integrations.settings { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/livechat/integrations.settings": { "get": { "tags": [ "Livechat" ], "summary": "Get Livechat Integrations", "description": "Retrieves a list of integration settings.\nPermission required: `view-livechat-manager`\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|2.2.0 | Added |", "operationId": "get-api-v1-livechat-integrations.settings", "parameters": [ { "$ref": "#/components/parameters/AuthToken" }, { "$ref": "#/components/parameters/UserId" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "settings": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "_updatedAt": { "type": "string" }, "autocomplete": { "type": "boolean" }, "blocked": { "type": "boolean" }, "createdAt": { "type": "string" }, "group": { "type": "string" }, "hidden": { "type": "boolean" }, "i18nDescription": { "type": "string" }, "i18nLabel": { "type": "string" }, "packageValue": { "type": "string" }, "secret": { "type": "boolean" }, "section": { "type": "string" }, "sorter": { "type": "integer" }, "ts": { "type": "string" }, "type": { "type": "string" }, "value": { "type": "string" }, "valueSource": { "type": "string" }, "meteorSettingsValue": { "type": "string" } } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "settings": [ { "_id": "Livechat_secret_token", "_updatedAt": "2019-10-17T13:56:07.285Z", "autocomplete": true, "blocked": false, "createdAt": "2019-10-07T18:52:20.484Z", "group": "Livechat", "hidden": false, "i18nDescription": "Livechat_secret_token_Description", "i18nLabel": "Secret_token", "packageValue": "", "secret": true, "section": "CRM_Integration", "sorter": 25, "ts": "2019-10-07T21:00:01.287Z", "type": "string", "value": "", "valueSource": "meteorSettingsValue", "meteorSettingsValue": "" } ], "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/permissionError" } } } } }, "components": { "parameters": { "AuthToken": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } }, "permissionError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": false, "error": "User does not have the permissions required for this action [error-unauthorized]" } }, "Unauthorized": { "value": { "success": false, "error": "unauthorized" } } } } } } } } } ````